Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155659 - messages of gnome-desktop-item-edit are not translated.
Summary: messages of gnome-desktop-item-edit are not translated.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-desktop
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC4Target
TreeView+ depends on / blocked
 
Reported: 2005-04-22 11:56 UTC by sangu
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: gnome-desktop-2.10.0-4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-23 19:15:44 UTC


Attachments (Terms of Use)
gnome-desktop-item-edit (deleted)
2005-04-22 11:56 UTC, sangu
no flags Details
Strange translation messages on panel (deleted)
2005-05-05 18:03 UTC, sangu
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 171302 None None None Never

Description sangu 2005-04-22 11:56:52 UTC
Description of problem:

http://bugzilla.gnome.org/show_bug.cgi?id=171302

Please update gnome-desktop for this bug

Version-Release number of selected component (if applicable):
gnome-desktop-2.10.0-1

How reproducible:
always

Steps to Reproduce:
1. 
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 sangu 2005-04-22 11:56:53 UTC
Created attachment 113522 [details]
gnome-desktop-item-edit

Comment 2 sangu 2005-05-02 01:31:45 UTC
When making executable icon on panel, gnome-desktop-item-edit has only english
messages in locale ko_KR.UTF-8.

please update to 2.10.1.

Comment 3 Ray Strode [halfline] 2005-05-02 12:57:46 UTC
Hi,

Given how late it is in the FC4 development cycle, we probably won't be able to
update to 2.10.1.  We might be able to just add the updated translations however.

Comment 4 sangu 2005-05-02 13:05:11 UTC
(In reply to comment #3)
> Hi,
> 
> Given how late it is in the FC4 development cycle, we probably won't be able to
> update to 2.10.1.  We might be able to just add the updated translations however.

This bug isn't problem of translations.This problem is gnome-desktop bug.

Please update to this patch for cjk users.

http://bugzilla.gnome.org/attachment.cgi?id=39173&action=view

--- gnome-desktop/libgnome-desktop/gnome-ditem-edit.c~	2005-03-24
11:11:00.804883832 +0900
+++ gnome-desktop/libgnome-desktop/gnome-ditem-edit.c	2005-03-24
11:11:03.240513560 +0900
@@ -124,6 +124,10 @@
         object_class = (GtkObjectClass*) klass;
         gobject_class = (GObjectClass*) klass;
 
+		bindtextdomain (GETTEXT_PACKAGE, GNOMELOCALEDIR);
+		bind_textdomain_codeset (GETTEXT_PACKAGE, "UTF-8");
+		textdomain (GETTEXT_PACKAGE);
+
         ditem_edit_signals[CHANGED] =
                 g_signal_new ("changed",
                                 G_TYPE_FROM_CLASS (object_class),

Comment 5 Ray Strode [halfline] 2005-05-04 20:34:55 UTC
This should be fixed in tomorrow's rawhide.

Comment 6 sangu 2005-05-05 18:03:49 UTC
Created attachment 114064 [details]
Strange translation messages on panel

Thank you.
But in gnome-desktop-2.10.0-2

 After executing "Laucher Properties" on panel, "Panel Properties", "panel
about", "Add to Panel" have only english messages in ko_KR.UTF-8.

Comment 7 Ray Strode [halfline] 2005-05-05 20:02:32 UTC
Ah I see.

The patch is bogus.  I should have looked more carefully.  This is a gnome-panel
bug.

Comment 9 sangu 2005-05-06 07:50:25 UTC
After appling gnome patch 45833, bug 155659, comment 6 is fixed.

Comment 10 Ray Strode [halfline] 2005-05-17 19:17:42 UTC
Hi, should be fixed in rawhide.

Comment 11 sangu 2005-05-21 06:11:19 UTC
rawhide and fedora devel cvs (
http://cvs.fedora.redhat.com/viewcvs/devel/gnome-desktop/ ) is still
gnome-desktop-2.10.0-3.

This bug isn't fixed.

Comment 12 sangu 2005-05-23 14:41:16 UTC
Sorry! No testing. Reopen Bug.

After installing gnome-desktop-2.10.0-4. attachment 113522 [details] still happens.
This bug isn't fixed in gnome-desktop-2.10.0-4.

After apppling this patch ( gnomebug 302454 patch - 
http://bugzilla.gnome.org/attachment.cgi?id=46340&action=view ) on
gnome-deskto-2.10.1, this attachment 113522 [details] disapears.




Comment 13 Ray Strode [halfline] 2005-05-23 15:26:02 UTC
Wow, I really screwed this bug up.  I'll take care of it--hopefully before the
devel freeze today.

Comment 14 Ray Strode [halfline] 2005-05-23 19:15:44 UTC
Should be fixed in tomorrow's update.


Note You need to log in before you can comment on or make changes to this bug.